from orchestrator.types import SubscriptionLifecycle

ROUTER_SUBSCRIPTION_ENDPOINT = "/api/v1/subscriptions/routers"


def test_router_subscriptions_endpoint(test_client, router_subscription_factory):
    router_subscription_factory()
    router_subscription_factory()
    router_subscription_factory()
    router_subscription_factory(status=SubscriptionLifecycle.TERMINATED)
    router_subscription_factory(status=SubscriptionLifecycle.INITIAL)

    response = test_client.get(ROUTER_SUBSCRIPTION_ENDPOINT)

    assert response.status_code == 200
    assert len(response.json()) == 3
